### Method

# Adw Flapget_transition_type

deprecated: 1.4

#### Declaration [src]

    AdwFlapTransitionType
    adw_flap_get_transition_type (
      AdwFlap* self
    )

#### Description [src]

Gets the type of animation used for reveal and fold transitions in `self`.

Deprecated since: 1.4

See the migration guide

Gets property | `Adw.Flap:transition-type`

#### Return value

Type: `AdwFlapTransitionType`

The current transition type of `self`.